/* ---- Hero ---- */

.hero__content {
    display: flex;
    align-items: center;
    justify-content: space-between;
    flex-wrap: wrap;
    width: 100%;
    max-width: 1200px;
    margin: 0 auto;
}

.hero {
    scroll-margin-top: 150px;
    position: relative;
    min-height: 100vh;
    display: flex;
    align-items: center;
    justify-content: center;
    padding: 1rem 1.5rem 1rem 1.5rem;
    color: #fff;
    background: linear-gradient(to top right,
            #151515 0% #242424 40%,
            #0f0f0f 80%);
    overflow: hidden;
}

@media screen and (min-width: 768px) {
    .hero {
        padding: 2rem 4rem 5rem 4rem;
    }
}



.hero::before {
    content: "";
    position: absolute;
    inset: 0;
    background:
        radial-gradient(circle at 79% 45%, rgba(255, 241, 51, 0.2), transparent 40%),
        radial-gradient(circle at 50% 50%, rgba(255, 255, 255, 0.15), transparent 10%),
        radial-gradient(circle at 80% 70%, rgba(0, 0, 0, 0.2), transparent 70%);
    filter: blur(50px);
    z-index: 0;
    animation: pulsebg 9s infinite ease-in-out;
    mix-blend-mode: overlay;
}

@media (max-width: 768px) {
    .hero::before {
        background:
            radial-gradient(circle at 60% 85%, rgba(202, 255, 51, 0.2), transparent 40%),
            radial-gradient(circle at 60% 30%, rgba(255, 255, 255, 0.15), transparent 10%),
            radial-gradient(circle at 80% 70%, rgba(0, 0, 0, 0.2), transparent 70%);
        filter: blur(50px);
        z-index: 0;
        animation: pulsebg 10s infinite ease-in-out;
        mix-blend-mode: overlay;
    }
}

@keyframes pulsebg {
    0% {
        transform: scale(1);
        opacity: 0.8;
    }

    50% {
        transform: scale(1.1);
        opacity: 1;
    }

    100% {
        transform: scale(1);
        opacity: 0.8;
    }
}

.hero__title {
    font-size: clamp(2.5rem, 6vw, 4rem);
    font-weight: 800;
    margin: 0;
    background: linear-gradient(to left, #fff, #e1e1e1);
    background-clip: text;
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
    text-shadow: 0 1px 10px e1e1e1;
}

.builder-highlight {
    background: linear-gradient(to right, #caff33, #a6d71f);
    background-clip: text;
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
    text-shadow: 0 1px 1px #bbff00fb;
}

.hero__subtitle {
    font-family: "Doto", sans-serif;
    font-optical-sizing: auto;
    font-weight: bold;
    font-variation-settings:
        "ROND" 0;
    margin: 1rem auto 0;
    max-width: 40rem;
    font-optical-sizing: auto;
    font-size: 1.2rem;
    opacity: 1;
}

.hero__logo {
    width: 100%;
    height: 100%;
    max-width: 100%;
    object-fit: contain;
    animation: popIn 2s ease forwards;
}

@keyframes popIn {
    0% {
        transform: scale(0.8);
        opacity: 0;
    }

    100% {
        transform: scale(1);
        opacity: 1;
    }
}

.hero__logo-wrapper {
    flex: 1 1 300px;
    max-width: 450px;
    aspect-ratio: 1/1;
    margin-top: 2rem;
    background: rgba(0, 0, 0, 0.05);
    border-radius: var(--radius-lg);
    padding: 0.5rem;
    display: flex;
    justify-content: center;
    align-items: center;
    box-shadow: 0 8px 20px rgba(0, 0, 0, 0.25);
    transition: transform 0.3s ease, box-shadow 0.3s ease;
}

@media (hover: hover) and (pointer: fine) {
    .hero__logo-wrapper:hover {
        transform: translateY(-10px) scale(1.05);
        box-shadow: 0 16px 16px rgba(0, 0, 0, 0.35), 0 0 10px #caff33;
    }
}

.hero__inner {
    max-width: 600px;
    text-align: left;
    flex: 1 1 300px;
}